package com.ruoyi.mxjb.service;

import java.util.List;
import com.ruoyi.mxjb.domain.MxjbWrongBook;

/**
 * 学生错题本Service接口
 * 
 * @author mingxue
 * @date 2021-06-12
 */
public interface IMxjbWrongBookService 
{
    /**
     * 查询学生错题本
     * 
     * @param wrongId 学生错题本ID
     * @return 学生错题本
     */
    public MxjbWrongBook selectMxjbWrongBookById(Long wrongId);

    /**
     * 查询学生错题本列表
     * 
     * @param mxjbWrongBook 学生错题本
     * @return 学生错题本集合
     */
    public List<MxjbWrongBook> selectMxjbWrongBookList(MxjbWrongBook mxjbWrongBook);

    /**
     * 新增学生错题本
     * 
     * @param mxjbWrongBook 学生错题本
     * @return 结果
     */
    public int insertMxjbWrongBook(MxjbWrongBook mxjbWrongBook);

    /**
     * 修改学生错题本
     * 
     * @param mxjbWrongBook 学生错题本
     * @return 结果
     */
    public int updateMxjbWrongBook(MxjbWrongBook mxjbWrongBook);

    /**
     * 批量删除学生错题本
     * 
     * @param wrongIds 需要删除的学生错题本ID
     * @return 结果
     */
    public int deleteMxjbWrongBookByIds(Long[] wrongIds);

    /**
     * 删除学生错题本信息
     * 
     * @param wrongId 学生错题本ID
     * @return 结果
     */
    public int deleteMxjbWrongBookById(Long wrongId);
}
